63cf4bdcc1ac4e024c61835a698be391bf2ad7cb
[releng/global-jjb.git] / .jjb-test / expected-xml / github-ciman-jjb-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty plugin="github">
13       <projectUrl>https://github.com/example-org/releng/ciman</projectUrl>
14       <displayName/>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>LFTOOLS_VERSION</name>
65           <description>Version of lftools to install. Can be a specific version like
66 '0.6.0' or a PEP-440 definition.
67 https://www.python.org/dev/peps/pep-0440/
68 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
69 </description>
70           <defaultValue>&lt;1.0.0</defaultValue>
71         </hudson.model.StringParameterDefinition>
72         <hudson.model.StringParameterDefinition>
73           <name>JJB_VERSION</name>
74           <description>Jenkins Job Builder version to download and install.</description>
75           <defaultValue>1.6.2</defaultValue>
76         </hudson.model.StringParameterDefinition>
77       </parameterDefinitions>
78     </hudson.model.ParametersDefinitionProperty>
79   </properties>
80   <scm class="hudson.plugins.git.GitSCM">
81     <configVersion>2</configVersion>
82     <userRemoteConfigs>
83       <hudson.plugins.git.UserRemoteConfig>
84         <name>origin</name>
85         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
86         <url>git@github.com:example-org/releng/ciman</url>
87         <credentialsId>test-credential</credentialsId>
88       </hudson.plugins.git.UserRemoteConfig>
89     </userRemoteConfigs>
90     <branches>
91       <hudson.plugins.git.BranchSpec>
92         <name>$sha1</name>
93       </hudson.plugins.git.BranchSpec>
94     </branches>
95     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
96     <remotePoll>false</remotePoll>
97     <gitTool>Default</gitTool>
98     <submoduleCfg class="list"/>
99     <reference/>
100     <gitConfigName/>
101     <gitConfigEmail/>
102     <extensions>
103       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
104         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
105       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
106       <hudson.plugins.git.extensions.impl.SubmoduleOption>
107         <disableSubmodules>false</disableSubmodules>
108         <recursiveSubmodules>true</recursiveSubmodules>
109         <trackingSubmodules>false</trackingSubmodules>
110         <parentCredentials>false</parentCredentials>
111         <reference/>
112         <timeout>10</timeout>
113       </hudson.plugins.git.extensions.impl.SubmoduleOption>
114       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
115     </extensions>
116   </scm>
117   <triggers class="vector">
118     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
119       <spec/>
120       <adminlist/>
121       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
122       <whitelist/>
123       <orgslist/>
124       <whiteListLabels/>
125       <blackListLabels/>
126       <cron/>
127       <triggerPhrase>^recheck$</triggerPhrase>
128       <skipBuildPhrase/>
129       <onlyTriggerPhrase>false</onlyTriggerPhrase>
130       <useGitHubHooks>true</useGitHubHooks>
131       <permitAll>true</permitAll>
132       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
133       <extensions>
134         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
135           <commitStatusContext>JJB Verify</commitStatusContext>
136         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
137       </extensions>
138     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
139   </triggers>
140   <builders>
141     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
142       <managedFiles>
143         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
144           <fileId>jjbini</fileId>
145           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
146           <variable/>
147         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
148       </managedFiles>
149     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
150     <hudson.tasks.Shell>
151       <command>#!/bin/bash
152 # SPDX-License-Identifier: EPL-1.0
153 ##############################################################################
154 # Copyright (c) 2017 The Linux Foundation and others.
155 #
156 # All rights reserved. This program and the accompanying materials
157 # are made available under the terms of the Eclipse Public License v1.0
158 # which accompanies this distribution, and is available at
159 # http://www.eclipse.org/legal/epl-v10.html
160 ##############################################################################
161
162 # This script will make sure that there are no JIRA URLs in the commit
163 # message. JIRA URLs will break the its-jira plugin
164
165 # Ensure we fail the job if any steps fail.
166 # Do not treat undefined variables as errors as in this case we are allowed
167 # to have JIRA_URL undefined
168 set -e -o pipefail
169 set +u
170
171 if [ -n &quot;${JIRA_URL}&quot; ];
172 then
173   BASE_URL=$(echo $JIRA_URL | awk -F'/' '{print $3}')
174   JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io &quot;http[s]*://$BASE_URL/&quot; || true)
175   if [[ ! -z &quot;$JIRA_LINK&quot; ]]
176   then
177     echo 'Remove JIRA URLs from commit message'
178     echo 'Add jira references as: Issue: &lt;JIRAKEY&gt;-&lt;ISSUE#&gt;, instead of URLs'
179     exit 1
180   fi
181 fi
182
183 #!/bin/bash
184 # SPDX-License-Identifier: EPL-1.0
185 ##############################################################################
186 # Copyright (c) 2017 The Linux Foundation and others.
187 #
188 # All rights reserved. This program and the accompanying materials
189 # are made available under the terms of the Eclipse Public License v1.0
190 # which accompanies this distribution, and is available at
191 # http://www.eclipse.org/legal/epl-v10.html
192 ##############################################################################
193 echo &quot;---&gt; jjb-install.sh&quot;
194
195 # Ensure we fail the job if any steps fail.
196 # DO NOT set -u as virtualenv's activate script has unbound variables
197 set -e -o pipefail
198
199 virtualenv &quot;/tmp/v/jjb&quot;
200 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
201 source &quot;/tmp/v/jjb/bin/activate&quot;
202 pip install --quiet --upgrade pip
203 pip install --quiet --upgrade pipdeptree
204 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
205
206 echo &quot;----&gt; Pip Dependency Tree&quot;
207 pipdeptree
208
209 #!/bin/bash
210 # SPDX-License-Identifier: EPL-1.0
211 ##############################################################################
212 # Copyright (c) 2017 The Linux Foundation and others.
213 #
214 # All rights reserved. This program and the accompanying materials
215 # are made available under the terms of the Eclipse Public License v1.0
216 # which accompanies this distribution, and is available at
217 # http://www.eclipse.org/legal/epl-v10.html
218 ##############################################################################
219 echo &quot;---&gt; jjb-verify-job.sh&quot;
220
221 # Ensure we fail the job if any steps fail.
222 set -eu -o pipefail
223
224 jenkins-jobs -l DEBUG test --recursive -o archives/job-configs jjb/
225
226 # Sort job output into sub-directories. On large Jenkins systems that have
227 # many jobs archiving so many files into the same directory makes NGINX return
228 # the directory list slow.
229 pushd archives/job-configs
230 for letter in {a..z}
231 do
232     if [[ $(ls &quot;$letter&quot;* &gt; /dev/null 2&gt;&amp;1) -eq 0 ]]
233     then
234         mkdir &quot;$letter&quot;
235         find . -maxdepth 1 -type f -name &quot;$letter*&quot; -exec mv {} &quot;$letter&quot; \;
236     fi
237 done
238 popd
239
240 #!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2015 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; jjb-check-unicode.sh&quot;
251
252 if LC_ALL=C grep -I -r '[^[:print:][:space:]]' jjb/; then
253     echo &quot;Found files containing non-ascii characters.&quot;
254     exit 1
255 fi
256
257 echo &quot;All files are ASCII only&quot;
258 </command>
259     </hudson.tasks.Shell>
260     <hudson.tasks.Shell>
261       <command>#!/bin/bash
262 # SPDX-License-Identifier: EPL-1.0
263 ##############################################################################
264 # Copyright (c) 2016 The Linux Foundation and others.
265 #
266 # All rights reserved. This program and the accompanying materials
267 # are made available under the terms of the Eclipse Public License v1.0
268 # which accompanies this distribution, and is available at
269 # http://www.eclipse.org/legal/epl-v10.html
270 ##############################################################################
271 echo &quot;---&gt; gpg-verify-git-signature.sh&quot;
272
273 if git log --show-signature -1 | grep -E -q 'gpg: Signature made.*key ID'; then
274    echo &quot;Git commit is GPG signed.&quot;
275 else
276    echo &quot;WARNING: GPG signature missing for the commit.&quot;
277 fi
278
279 # Do NOT fail the job for unsigned commits
280 exit 0
281 </command>
282     </hudson.tasks.Shell>
283   </builders>
284   <publishers>
285     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
286       <buildSteps>
287         <hudson.tasks.Shell>
288           <command>#!/bin/bash
289 # SPDX-License-Identifier: EPL-1.0
290 ##############################################################################
291 # Copyright (c) 2017 The Linux Foundation and others.
292 #
293 # All rights reserved. This program and the accompanying materials
294 # are made available under the terms of the Eclipse Public License v1.0
295 # which accompanies this distribution, and is available at
296 # http://www.eclipse.org/legal/epl-v10.html
297 ##############################################################################
298 echo &quot;---&gt; sysstat.sh&quot;
299 set +e  # DON'T fail build if script fails.
300
301 OS=$(facter operatingsystem)
302 case &quot;$OS&quot; in
303     Ubuntu)
304         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
305
306         # Dont run the script when systat is not enabled by default
307         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
308             exit 0
309         fi
310     ;;
311     CentOS|RedHat)
312         SYSSTAT_PATH=&quot;/var/log/sa&quot;
313     ;;
314     *)
315         # nothing to do
316         exit 0
317     ;;
318 esac
319
320 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
321 mkdir -p &quot;$SAR_DIR&quot;
322 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
323 # convert sar data to ascii format
324 while IFS=&quot;&quot; read -r sarfilenum
325 do
326     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
327 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
328
329 # DON'T fail build if script fails.
330 exit 0
331 </command>
332         </hudson.tasks.Shell>
333         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
334           <managedFiles>
335             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
336               <fileId>jenkins-log-archives-settings</fileId>
337               <targetLocation/>
338               <variable>SETTINGS_FILE</variable>
339             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
340           </managedFiles>
341         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
342         <EnvInjectBuilder>
343           <info>
344             <propertiesContent>SERVER_ID=logs</propertiesContent>
345           </info>
346         </EnvInjectBuilder>
347         <hudson.tasks.Shell>
348           <command>#!/bin/bash
349 # SPDX-License-Identifier: EPL-1.0
350 ##############################################################################
351 # Copyright (c) 2017 The Linux Foundation and others.
352 #
353 # All rights reserved. This program and the accompanying materials
354 # are made available under the terms of the Eclipse Public License v1.0
355 # which accompanies this distribution, and is available at
356 # http://www.eclipse.org/legal/epl-v10.html
357 ##############################################################################
358 echo &quot;---&gt; create-netrc.sh&quot;
359
360 # Ensure we fail the job if any steps fail.
361 set -eu -o pipefail
362
363 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
364 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
365     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
366     -v x:username -o &quot;:&quot; -v x:password \
367     &quot;$SETTINGS_FILE&quot;)
368
369 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
370 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
371 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
372
373 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
374 </command>
375         </hudson.tasks.Shell>
376         <hudson.tasks.Shell>
377           <command>#!/bin/bash
378 # SPDX-License-Identifier: EPL-1.0
379 ##############################################################################
380 # Copyright (c) 2017 The Linux Foundation and others.
381 #
382 # All rights reserved. This program and the accompanying materials
383 # are made available under the terms of the Eclipse Public License v1.0
384 # which accompanies this distribution, and is available at
385 # http://www.eclipse.org/legal/epl-v10.html
386 ##############################################################################
387 echo &quot;---&gt; lftools-install.sh&quot;
388
389 # Script to install lftools via a version passed in via lf-infra-parameters
390 #
391 # Required parameters:
392 #
393 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
394 #                      set to a strict version number like '1.2.3' or using
395 #                      PEP-440 definitions.
396 #
397 #                      Examples:
398 #                          &lt;1.0.0
399 #                          &gt;=1.0.0,&lt;2.0.0
400 #
401 # By default a released version of lftools should always be used.
402 # The purpose of the 2 variables below is so that lftools devs can test
403 # unreleased versions of lftools. There are 2 methods to install a dev version
404 # of lftools:
405 #
406 #     1) gerrit patch: Used to test a patch that has not yet been merged.
407 #                      To do this set something like this:
408 #                          LFTOOLS_MODE=gerrit
409 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
410 #
411 #     2) git branch: Used to install an lftools version from a specific branch.
412 #                    To use this set the variables as follows:
413 #                          LFTOOLS_MODE=git
414 #                          LFTOOLS_REFSPEC=master
415 #
416 #     3) release : The intended use case and default setting.
417 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
418
419 LFTOOLS_MODE=release  # release | git | gerrit
420 LFTOOLS_REFSPEC=master
421
422 # Ensure we fail the job if any steps fail.
423 # DO NOT set -u as virtualenv's activate script has unbound variables
424 set -e -o pipefail
425
426 virtualenv --quiet &quot;/tmp/v/lftools&quot;
427 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
428 source &quot;/tmp/v/lftools/bin/activate&quot;
429 pip install --quiet --upgrade pip
430
431 case $LFTOOLS_MODE in
432     gerrit)
433         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
434         pushd /tmp/lftools
435         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
436         git checkout FETCH_HEAD
437         pip install --quiet --upgrade -r requirements.txt
438         pip install --quiet --upgrade -e .
439         popd
440         ;;
441
442     git)
443         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
444         ;;
445
446     release)
447         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
448             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
449         fi
450
451         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
452         ;;
453 esac
454
455 lftools --version
456
457 # pipdeptree prints out a lot of information because lftools pulls in many
458 # dependencies. Let's only print it if we want to debug.
459 # echo &quot;----&gt; Pip Dependency Tree&quot;
460 # pip install --quiet --upgrade pipdeptree
461 # pipdeptree
462
463 #!/bin/bash
464 # SPDX-License-Identifier: EPL-1.0
465 ##############################################################################
466 # Copyright (c) 2017 The Linux Foundation and others.
467 #
468 # All rights reserved. This program and the accompanying materials
469 # are made available under the terms of the Eclipse Public License v1.0
470 # which accompanies this distribution, and is available at
471 # http://www.eclipse.org/legal/epl-v10.html
472 ##############################################################################
473 echo &quot;---&gt; logs-deploy.sh&quot;
474
475 # Ensure we fail the job if any steps fail.
476 set -eu -o pipefail
477
478 set -x  # Trace commands for this script to make debugging easier.
479
480 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
481 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
482
483 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
484 then
485     set +x # Disable trace since we no longer need it
486
487     echo &quot;WARNING: Logging server not set&quot;
488 else
489     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
490     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
491     BUILD_URL=&quot;${BUILD_URL}&quot;
492
493     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
494     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
495
496     set +x  # Disable trace since we no longer need it.
497
498     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
499 fi
500 </command>
501         </hudson.tasks.Shell>
502         <hudson.tasks.Shell>
503           <command>#!/bin/bash
504 # SPDX-License-Identifier: EPL-1.0
505 ##############################################################################
506 # Copyright (c) 2017 The Linux Foundation and others.
507 #
508 # All rights reserved. This program and the accompanying materials
509 # are made available under the terms of the Eclipse Public License v1.0
510 # which accompanies this distribution, and is available at
511 # http://www.eclipse.org/legal/epl-v10.html
512 ##############################################################################
513
514 # Clear log credential files
515 rm &quot;$SETTINGS_FILE&quot;
516 rm ~/.netrc
517 </command>
518         </hudson.tasks.Shell>
519         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
520           <regexp>^Build logs: .*</regexp>
521         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
522       </buildSteps>
523       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
524       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
525       <markBuildUnstable>false</markBuildUnstable>
526     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
527     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
528       <patterns>
529         <hudson.plugins.ws__cleanup.Pattern>
530           <pattern>**/*.jenkins-trigger</pattern>
531           <type>EXCLUDE</type>
532         </hudson.plugins.ws__cleanup.Pattern>
533       </patterns>
534       <deleteDirs>false</deleteDirs>
535       <cleanupMatrixParent>false</cleanupMatrixParent>
536       <externalDelete/>
537       <cleanWhenSuccess>true</cleanWhenSuccess>
538       <cleanWhenUnstable>true</cleanWhenUnstable>
539       <cleanWhenFailure>true</cleanWhenFailure>
540       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
541       <cleanWhenAborted>true</cleanWhenAborted>
542       <notFailBuild>true</notFailBuild>
543     </hudson.plugins.ws__cleanup.WsCleanup>
544   </publishers>
545   <buildWrappers>
546     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
547     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
548       <timeoutMinutes>10</timeoutMinutes>
549       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
550       <failBuild>true</failBuild>
551       <writingDescription>false</writingDescription>
552       <timeoutPercentage>0</timeoutPercentage>
553       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
554       <timeoutType>absolute</timeoutType>
555     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
556     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
557     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
558       <user>test-credential</user>
559     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
560     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
561     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
562       <managedFiles>
563         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
564           <fileId>npmrc</fileId>
565           <targetLocation>$HOME/.npmrc</targetLocation>
566           <variable/>
567         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
568       </managedFiles>
569     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
570   </buildWrappers>
571 </project>